uniform mat4 uMVPMatrix;
uniform float uTileOpacity;
uniform float uTileExpansionFactorPow;
uniform float uTileExpansionTexCoordEnd;
uniform float uTileExpansionIntervalBegin;
uniform float uTileExpansionStartOffset;
uniform float uTileExpansionFadeAwayBegin;

attribute vec4 aPosition;
attribute vec2 aTextureCoord;

varying vec2 vTextureCoord;

void main() {
    gl_Position = uMVPMatrix * aPosition;
    vTextureCoord = aTextureCoord;
}